osgTerrain::CompositeLayer::CompoundNameLayer Struct Reference

`#include <Layer>`

## Public Member Functions

| CompoundNameLayer ()
| CompoundNameLayer (const CompoundNameLayer &cnl)
| CompoundNameLayer (const std::string &sn, const std::string &fn, Layer *l)
CompoundNameLayer & | operator= (const CompoundNameLayer &cnl)

## Public Attributes

std::string | setname
std::string | filename
osg::ref_ptr< Layer > | layer

## Constructor & Destructor Documentation

## CompoundNameLayer() [1/3]

osgTerrain::CompositeLayer::CompoundNameLayer::CompoundNameLayer | ( |  | ) |

inline

Referenced by CompoundNameLayer(), and operator=().

## CompoundNameLayer() [2/3]

osgTerrain::CompositeLayer::CompoundNameLayer::CompoundNameLayer | ( | const CompoundNameLayer & | cnl | ) |

inline

References CompoundNameLayer(), filename, layer, and setname.

## CompoundNameLayer() [3/3]

osgTerrain::CompositeLayer::CompoundNameLayer::CompoundNameLayer | ( | const std::string & | sn,
|  | const std::string & | fn,
|  | Layer * | l )

inline

References filename, osgTerrain::Layer::Layer(), layer, and setname.

## Member Function Documentation

## operator=()

CompoundNameLayer & osgTerrain::CompositeLayer::CompoundNameLayer::operator= | ( | const CompoundNameLayer & | cnl | ) |

inline

References CompoundNameLayer(), filename, layer, and setname.

## Member Data Documentation

## filename

std::string osgTerrain::CompositeLayer::CompoundNameLayer::filename

Referenced by CompoundNameLayer(), CompoundNameLayer(), and operator=().

## layer

osg::ref_ptr<Layer> osgTerrain::CompositeLayer::CompoundNameLayer::layer

Referenced by CompoundNameLayer(), CompoundNameLayer(), and operator=().

## setname

std::string osgTerrain::CompositeLayer::CompoundNameLayer::setname

Referenced by CompoundNameLayer(), CompoundNameLayer(), and operator=().

The documentation for this struct was generated from the following file:

- osgTerrain/Layer